#ifndef _VGUI_LISTBOX_H
#define _VGUI_LISTBOX_H

/* listbox.h */
#include <vector>
#include <string>
#include "gui.h"
using namespace VGUI;

class ListBox : public Widget
{
public:
	ListBox( Widget w );
	~ListBox();

	ListItem GetSelected() { return items[cur]; }
	
private:
	vector<ListItem> items;
	int cur;
};


class ListItem
{
public:
	ListItem();
	~ListItem();
	ListItem(string val, string txt) { value = val; text = txt; }

	string GetValue() { return value; }
	string GetText() { return text; }
	void SetValue(string new_value) { value = new_value; }
	void SetText(string new_text) { text = new_text; }

private:
	string value;
	string text;
};


#endif // _VGUI_LISTBOX_H
